
Foreman - Bug #4441

Overriden 'link_to' is protected and breaks expected use pattern

02/25/2014 02:18 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Rails   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Feature #3751: Add id='new' to all buttons/links that cr... Closed 11/25/2013

Associated revisions

Revision 8cf10332 - 02/25/2014 08:51 AM - Eric Helms

Fixes #4441 - Overriden link_to method should be public, not protected

History

#1 - 02/25/2014 08:32 AM - Dominic Cleal

- Category set to Rails

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Target version set to 1.9.1

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1251

#2 - 02/25/2014 08:33 AM - Dominic Cleal

- Related to Feature #3751: Add id='new' to all buttons/links that create new objects added

#3 - 02/25/2014 09:31 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8cf10332a45283feba57c6263ff4a0eda86ac52f.
